summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Michales Michaloudes <korgie@gmail.com>2013-10-27 02:02:22 -0500
committer Robby Workman <rworkman@slackbuilds.org>2013-10-27 23:39:01 -0500
commit79ee353aab46b79b4d05312d294a02ff379c3b21 (patch)
tree1800b6062613d29fd403cd9f8ee046e3466cdf1e /audio
parentc57c3228d909a7d1b7cd9484ee575de6bc43b375 (diff)
downloadslackbuilds-79ee353aab46b79b4d05312d294a02ff379c3b21.tar.gz
slackbuilds-79ee353aab46b79b4d05312d294a02ff379c3b21.tar.xz
audio/chuck: Added (audio programming language)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/chuck/README15
-rw-r--r--audio/chuck/chuck.SlackBuild74
-rw-r--r--audio/chuck/chuck.info10
-rw-r--r--audio/chuck/doinst.sh50
-rw-r--r--audio/chuck/slack-desc19
5 files changed, 168 insertions, 0 deletions
diff --git a/audio/chuck/README b/audio/chuck/README
new file mode 100644
index 0000000000..14b71b4813
--- /dev/null
+++ b/audio/chuck/README
@@ -0,0 +1,15 @@
+ChucK is a new (and developing) audio programming language for real-time
+synthesis, composition, performance, and now, analysis.
+
+ChucK presents a new time-based, concurrent programming model that's highly
+precise and expressive (we call this strongly-timed), as well as dynamic
+control rates, and the ability to add and modify code on-the-fly. In addition,
+ChucK supports MIDI, OSC, HID device, and multi-channel audio. It's fun and
+easy to learn, and offers composers, researchers, and performers a powerful
+programming tool for building and experimenting with complex audio
+synthesis/analysis programs, and real-time interactive control.
+
+Please e-mail me if it works for 64-bit.
+
+SOUNDENGINE=jack to enable jack support. In that case you need jack installed.
+Valid options are: alsa (default), jack, oss.
diff --git a/audio/chuck/chuck.SlackBuild b/audio/chuck/chuck.SlackBuild
new file mode 100644
index 0000000000..0f3235b49d
--- /dev/null
+++ b/audio/chuck/chuck.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+# Slackware build script for <chuck>
+#
+# Michales (clavisound) Michaloudes korgie@gmail.com <2013>
+
+PRGNAM=chuck
+VERSION=${VERSION:-1.3.1.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SOUNDENGINE=${SOUNDENGINE:-alsa}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION/src
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make linux-$SOUNDENGINE
+mkdir -p $PKG/usr/bin
+cp $PRGNAM $PKG/usr/bin/$PRGNAM-$SOUNDENGINE # binaries can co-exist.
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+cd $TMP/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING README TODO DEVELOPER PROGRAMMER QUICKSTART THANKS VERSIONS \
+ doc/ChucK_manual.pdf doc/GOTO src/todo.txt examples \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/${PRGNAM}_${SOUNDENGINE}-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/chuck/chuck.info b/audio/chuck/chuck.info
new file mode 100644
index 0000000000..e62fa81f81
--- /dev/null
+++ b/audio/chuck/chuck.info
@@ -0,0 +1,10 @@
+PRGNAM="chuck"
+VERSION="1.3.1.3"
+HOMEPAGE="http://chuck.cs.princeton.edu/"
+DOWNLOAD="http://chuck.cs.princeton.edu/release/files/chuck-1.3.1.3.tgz"
+MD5SUM="e0d3a64b27477eb2af6375cfa50bb4d7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
diff --git a/audio/chuck/doinst.sh b/audio/chuck/doinst.sh
new file mode 100644
index 0000000000..cb44d46a56
--- /dev/null
+++ b/audio/chuck/doinst.sh
@@ -0,0 +1,50 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+schema_install() {
+ SCHEMA="$1"
+ GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+ chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/$SCHEMA \
+ 1>/dev/null
+}
+
+schema_install blah.schemas
+preserve_perms etc/rc.d/rc.INIT.new
+config etc/configfile.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/audio/chuck/slack-desc b/audio/chuck/slack-desc
new file mode 100644
index 0000000000..0a8f4b850e
--- /dev/null
+++ b/audio/chuck/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+chuck: ChucK (audio programming language)
+chuck:
+chuck: ChucK presents a new time-based, concurrent programming model that's
+chuck: highly precise and expressive (we call this strongly-timed), as well as
+chuck: dynamic control rates, and the ability to add and modify code
+chuck: on-the-fly. In addition, ChucK supports MIDI, OSC, HID device, and
+chuck: multi-channel audio. It's fun and easy to learn, and offers composers,
+chuck: researchers, and performers a powerful programming tool for building
+chuck: and experimenting with complex audio synthesis/analysis programs, and
+chuck: real-time interactive control.
+chuck: